Bug 487443 - [RHEL4 U5] dm-multipath: multipath command fails when a path is added to a map with failed path.
Summary: [RHEL4 U5] dm-multipath: multipath command fails when a path is added to a ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.8
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Gris Ge
URL:
Whiteboard:
Depends On: 194411
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-26 01:03 UTC by Ben Marzinski
Modified: 2018-11-14 18:17 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The kernel will not allow multipath to reload a table with a failed path in it. Consequence: Multipath is unable to reconfigure a multipath device while multipathd is running. This includes being unable to add new paths to the device. Workaround: First stop multipathd (service multipathd stop). Then run multipath to reconfigure the device. Finally restart multipathd. Result: running the multipath command while multipathd is stopped will cause multipath to remove the failed path from the device table when it reconfigures. This will allow the new path to be added. However, when the failed path comes back online, it will no longer be part of the multipath device. Multipath must be manually run again to reintegrate this device. However, if there are no failed paths, it will not be necessary to stop multipathd before doing this.
Clone Of: 194411
Environment:
Last Closed: 2011-02-16 14:23:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0243 0 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2011-02-15 16:34:54 UTC

Comment 1 Issue Tracker 2009-11-12 08:26:32 UTC
Event posted on 11-12-2009 05:26pm JST by mfuruta@redhat.com

info:
  Now proposed fix on RHEL4.9 Relnote. 


This event sent from IssueTracker by mfuruta@redhat.com 
 issue 95425

Comment 4 Ben Marzinski 2010-05-04 17:52:55 UTC
Technical Note added.

Comment 5 Ben Marzinski 2010-05-04 17:52:55 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
The kernel will not allow multipath to reload a table with a failed path in it.

Consequence:
Multipath is unable to reconfigure a multipath device while multipathd is running.  This includes being unable to add new paths to the device.

Workaround:
First stop multipathd (service multipathd stop). Then run multipath to reconfigure the device. Finally restart multipathd.

Result:
running the multipath command while multipathd is stopped will cause multipath to remove the failed path from the device table when it reconfigures.  This will allow the new path to be added.  However, when the failed path comes back online, it will no longer be part of the multipath device.  Multipath must be manually run again to reintegrate this device.  However, if there are no failed paths, it will not be necessary to stop multipathd before doing this.

Comment 8 Gris Ge 2011-01-25 08:49:26 UTC
Technical note added, change this bug into verify mode.

Release team will handle the documentation part for errata 10217.

Comment 9 errata-xmlrpc 2011-02-16 14:23:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0243.html

Comment 10 Debbie Johnson 2011-03-29 17:41:37 UTC
Hi,

I can not find this technical note anywhere.. I looked in the release notes document and in the latest multipath document on doc.redhat.com.  There is not a technical notes document in 4.x as there is for RHEL5.. so can I find out where this was documented for the customer.

Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.